Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972229 - [abrt] istanbul-0.2.2-17.fc17: rq.py:1448:reply:BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0
Summary: [abrt] istanbul-0.2.2-17.fc17: rq.py:1448:reply:BadDrawable: <class 'Xlib.err...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: istanbul
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fc37ca1e3bfc5f2cba43920747b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 21:07 UTC by Alan Eliasen
Modified: 2014-02-05 21:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 21:43:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2013-06-07 21:07 UTC, Alan Eliasen
no flags Details
File: core_backtrace (710 bytes, text/plain)
2013-06-07 21:07 UTC, Alan Eliasen
no flags Details

Description Alan Eliasen 2013-06-07 21:07:16 UTC
Description of problem:
Error just popped up; I was not even recording.

Version-Release number of selected component:
istanbul-0.2.2-17.fc17

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/istanbul
executable:     /usr/bin/istanbul
kernel:         3.4.3-1.fc17.x86_64
runlevel:       N 5
uid:            502

Truncated backtrace:
rq.py:1448:reply:BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/istanbul/main/tray_icon.py", line 65, in _trayicon_clicked
    self.current_screencast.start_recording()
  File "/usr/lib/python2.7/site-packages/istanbul/main/screencast.py", line 56, in start_recording
    area_x1, area_y1, area_x2, area_y2 = self.selector.get_area()
  File "/usr/lib/python2.7/site-packages/istanbul/main/window_select.py", line 45, in get_area
    root_window = target_window.get_geometry().root
  File "/usr/lib/python2.7/site-packages/Xlib/xobject/drawable.py", line 38, in get_geometry
    drawable = self)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1428, in __init__
    self.reply()
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1448, in reply
    raise self._error
BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0

Local variables in innermost frame:
self: <Xlib.protocol.request.GetGeometry serial = 23, data = None, error = <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0>

Comment 1 Alan Eliasen 2013-06-07 21:07:19 UTC
Created attachment 758320 [details]
File: backtrace

Comment 2 Alan Eliasen 2013-06-07 21:07:21 UTC
Created attachment 758321 [details]
File: core_backtrace

Comment 3 Fedora End Of Life 2013-07-03 23:21:56 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2013-12-21 13:54:43 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 21:43:28 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.